---
env_id: "openshift"
public_dns_domain: "example.com"
public_dns_nameservers: []

# Used Hostnames
# - set custom hostnames for roles by uncommenting corresponding lines
#openstack_master_hostname: "master"
#openstack_infra_hostname: "infra-node"
#openstack_node_hostname: "app-node"
#openstack_lb_hostname: "lb"
#openstack_etcd_hostname: "etcd"
#openstack_dns_hostname: "dns"

# The Nova keypair name to use when provisioning VMs in OpenStack.
openstack_ssh_public_key: "openshift"
openstack_external_network_name: "public"
#openstack_private_network_name:  "openshift-ansible-{{ stack_name }}-net"
# # A dedicated Neutron network name for containers data network
# # Configures the data network to be separated from openstack_private_network_name
# # NOTE: this is only supported with Flannel SDN yet
#openstack_private_data_network_name: "openshift-ansible-{{ stack_name }}-data-net"

# If you want to use a provider network, set the name here.
# NOTE: the `openstack_external_network_name` and
# `openstack_private_network_name` options will be ignored when using a
# provider network.
#openstack_provider_network_name: "provider"

# Used Images
# - set specific images for roles by uncommenting corresponding lines
# - note: do not remove openstack_default_image_name definition
#openstack_master_image_name: "centos7"
#openstack_infra_image_name: "centos7"
#openstack_node_image_name: "centos7"
#openstack_lb_image_name: "centos7"
#openstack_etcd_image_name: "centos7"
#openstack_dns_image_name: "centos7"
openstack_default_image_name: "centos7"

openstack_num_masters: 1
openstack_num_infra: 1
openstack_num_nodes: 2

# Used Flavors
# - set specific flavors for roles by uncommenting corresponding lines
# - note: do note remove openstack_default_flavor definition
#openstack_master_flavor: "m1.medium"
#openstack_infra_flavor: "m1.medium"
#openstack_node_flavor: "m1.medium"
#openstack_lb_flavor: "m1.medium"
#openstack_etcd_flavor: "m1.medium"
#openstack_dns_flavor: "m1.medium"
openstack_default_flavor: "m1.medium"

# Numerical index of nodes to remove
#openstack_nodes_to_remove: []

# Docker volume size
# - set specific volume size for roles by uncommenting corresponding lines
# - note: do not remove docker_default_volume_size definition
#docker_master_volume_size: "15"
#docker_infra_volume_size: "15"
#docker_node_volume_size: "15"
#docker_etcd_volume_size: "2"
#docker_dns_volume_size: "1"
#docker_lb_volume_size: "5"
docker_volume_size: "15"

# Specify server group policies for master and infra nodes. Nova must be configured to
# enable these policies. 'anti-affinity' will ensure that each VM is launched on a
# different physical host.
#openstack_master_server_group_policies: [anti-affinity]
#openstack_infra_server_group_policies: [anti-affinity]

# Create a Cinder volume and use it for the OpenShift registry.
# NOTE: the openstack credentials and hosted registry options must be set in OSEv3.yml!
#cinder_hosted_registry_name: cinder-registry
#cinder_hosted_registry_size_gb: 10

# Set up a filesystem on the cinder volume specified in `OSEv3.yaml`.
# You need to specify the file system and volume ID in OSEv3 via
# `openshift_hosted_registry_storage_openstack_filesystem` and
# `openshift_hosted_registry_storage_openstack_volumeID`.
# WARNING: This will delete any data on the volume!
#prepare_and_format_registry_volume: False

openstack_subnet_prefix: "192.168.99"

# Red Hat subscription defaults to false which means we will not attempt to
# subscribe the nodes.
#rhsm_register: False

# Using Red Hat Satellite:
#rhsm_register: True
#rhsm_satellite: 'sat-6.example.com'
#rhsm_org: 'OPENSHIFT_ORG'
#rhsm_activationkey: '<activation-key>'

# Or using RHN username, password and optionally pool:
#rhsm_register: True
#rhsm_username: '<username>'
#rhsm_password: '<password>'
#rhsm_pool: '<pool id>'

# Red Hat Subscription Management repositories.
#rhsm_repos:
# - "rhel-7-server-rpms"
# - "rhel-7-server-ose-3.5-rpms"
# - "rhel-7-server-extras-rpms"
# - "rhel-7-fast-datapath-rpms"

# Roll-your-own DNS
#openstack_num_dns: 0
#external_nsupdate_keys:
#  public:
#    key_secret: 'SKqKNdpfk7llKxZ57bbxUnUDobaaJp9t8CjXLJPl+fRI5mPcSBuxTAyvJPa6Y9R7vUg9DwCy/6WTpgLNqnV4Hg=='
#    key_algorithm: 'hmac-md5'
#    server: '192.168.1.1'
#  private:
#    key_secret: 'kVE2bVTgZjrdJipxPhID8BEZmbHD8cExlVPR+zbFpW6la8kL5wpXiwOh8q5AAosXQI5t95UXwq3Inx8QT58duw=='
#    key_algorithm: 'hmac-md5'
#    server: '192.168.1.2'

# Customize DNS server security options
#named_public_recursion: 'no'
#named_private_recursion: 'yes'

# NOTE(shadower): Do not change this value. The Ansible user is currently
# hardcoded to `openshift`.
ansible_user: openshift

# Use a single security group for a cluster (default: false)
#openstack_flat_secgrp: false

# OpenStack inventory type and cluster nodes access pattern
# Defaults to 'static'.
# Use 'dynamic' to access cluster nodes directly, via floating IPs
# and given a dynamic inventory script, like openstack.py
#openstack_inventory: static
# The path to checkpoint the static inventory from the in-memory one
#openstack_inventory_path: ../../../../inventory

# Use bastion node to access cluster nodes (Defaults to False).
# Requires a static inventory.
#openstack_use_bastion: False
#bastion_ingress_cidr: "{{openstack_subnet_prefix}}.0/24"

# The Nova keypair's private SSH key to access inventory nodes.
#openstack_private_ssh_key: ~/.ssh/id_rsa
# The path for the SSH config to access all nodes
#openstack_ssh_config_path: /tmp/ssh.config.openshift.ansible.{{ env_id }}.{{ public_dns_domain }}

# If you want to use the VM storage instead of Cinder volumes, set this to `true`.
# NOTE: this is for testing only! Your data will be gone once the VM disappears!
#ephemeral_volumes: false

# OpenShift node labels
# - in order to customise node labels for app and/or infra group, set the
#   openshift_cluster_node_labels variable
#openshift_cluster_node_labels:
#  app:
#    region: primary
#  infra:
#    region: infra
